#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"

#pragma package(smart_init)
#pragma link "Chart"
#pragma link "TeEngine"
#pragma link "TeeProcs"
#pragma link "Series"
#pragma link "Chart"
#pragma link "Series"
#pragma link "TeEngine"
#pragma link "TeeProcs"
#pragma link "TeeGDIPlus"
#pragma resource "*.dfm"

TForm1 *Form1;



__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
    Chart1->BottomAxis->DateTimeFormat = "hh:nn:ss.zzz";
    Edit1Change(0);
}



void __fastcall TForm1::Edit1Change(TObject *Sender)
{
    int bottomAsixLen = Edit1->Text.ToIntDef(0);
    if ((bottomAsixLen > 0) && (bottomAsixLen < 1000))
    {
        TDateTime begin = TDateTime(2000, 1, 1);
        TDateTime end = begin + TDateTime(0, 0, 0, bottomAsixLen);
        Chart1->BottomAxis->SetMinMax(begin, end);
    }


    int incrementLen = Edit2->Text.ToIntDef(0);
    if ((incrementLen > 0) && (incrementLen < 100))
    {
        Chart1->BottomAxis->Increment = TDateTime(0, 0, 0, incrementLen);
    }


    int minorCount = Edit3->Text.ToIntDef(0);
    if ((minorCount > 0) && (minorCount < 10))
    {
        Chart1->BottomAxis->MinorTickCount = minorCount;
    }
}



void __fastcall TForm1::SpeedButton1Click(TObject *Sender)
{
    Edit1->Text = Edit1->Text.ToIntDef(0) - 1;
}



void __fastcall TForm1::SpeedButton2Click(TObject *Sender)
{
    Edit1->Text = Edit1->Text.ToIntDef(0) + 1;
}



void __fastcall TForm1::SpeedButton3Click(TObject *Sender)
{
    Edit2->Text = Edit2->Text.ToIntDef(0) - 1;
}



void __fastcall TForm1::SpeedButton4Click(TObject *Sender)
{
    Edit2->Text = Edit2->Text.ToIntDef(0) + 1;
}



void __fastcall TForm1::SpeedButton6Click(TObject *Sender)
{
    Edit3->Text = Edit3->Text.ToIntDef(0) + 1;
}



void __fastcall TForm1::SpeedButton5Click(TObject *Sender)
{
    Edit3->Text = Edit3->Text.ToIntDef(0) - 1;
}



